oracle.kv.stats

## Interface StoreIteratorMetrics

-     public interface StoreIteratorMetrics

  Interface to the stats and metrics associated with a KVS storeIterator operation.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAverageBlockedResultsQueueGetTime()` Returns the average time (in milliseconds) spent waiting for Results Queue take() operations, exclusive of the first take() operation.
    `long` | `getAverageBlockedResultsQueuePutTime()` Returns the average time (in milliseconds) spent waiting for put() operations to the Results Queue.
    `long` | `getBlockedResultsQueueGets()` Returns the number of Results Queue take() operations on the application side which have blocked.
    `long` | `getBlockedResultsQueuePuts()` Returns the number of put() operations to the Results Queue on the producer side of the queue which have blocked.
    `long` | `getMaxBlockedResultsQueueGetTime()` Returns the maximum time (in milliseconds) spent waiting for Results Queue take() operations, exclusive of the first take() operation.
    `long` | `getMaxBlockedResultsQueuePutTime()` Returns the maximum time (in milliseconds) spent waiting for put() operations to the Results Queue.
    `long` | `getMinBlockedResultsQueueGetTime()` Returns the minimum time (in milliseconds) spent waiting for Results Queue take() operations, exclusive of the first take() operation.
    `long` | `getMinBlockedResultsQueuePutTime()` Returns the minimum time (in milliseconds) spent waiting for put() operations to the Results Queue.

- - ### Method Detail

    - #### getBlockedResultsQueuePuts

          long getBlockedResultsQueuePuts()

      Returns the number of put() operations to the Results Queue on the producer side of the queue which have blocked.

      Blocked Results Queue put operations occur when the client side can't process results as fast as the parallel scan threads receive them from the Replication Nodes.

    - #### getAverageBlockedResultsQueuePutTime

          long getAverageBlockedResultsQueuePutTime()

      Returns the average time (in milliseconds) spent waiting for put() operations to the Results Queue.

      Blocked Results Queue put operations occur when the client side can't process results as fast as the parallel scan threads receive them from the Replication Nodes.

    - #### getMinBlockedResultsQueuePutTime

          long getMinBlockedResultsQueuePutTime()

      Returns the minimum time (in milliseconds) spent waiting for put() operations to the Results Queue.

      Blocked Results Queue put operations occur when the client side can't process results as fast as the parallel scan threads receive them from the Replication Nodes.

    - #### getMaxBlockedResultsQueuePutTime

          long getMaxBlockedResultsQueuePutTime()

      Returns the maximum time (in milliseconds) spent waiting for put() operations to the Results Queue.

      Blocked Results Queue put operations occur when the client side can't process results as fast as the parallel scan threads receive them from the Replication Nodes.

    - #### getBlockedResultsQueueGets

          long getBlockedResultsQueueGets()

      Returns the number of Results Queue take() operations on the application side which have blocked. This number does not include the first take() operation on the queue.

      Blocked Results Queue take operations occur when the Replication Nodes can't produce results as fast as the application is able to process them.

    - #### getAverageBlockedResultsQueueGetTime

          long getAverageBlockedResultsQueueGetTime()

      Returns the average time (in milliseconds) spent waiting for Results Queue take() operations, exclusive of the first take() operation.

      Blocked Results Queue take operations occur when the Replication Nodes can't produce results as fast as the application is able to process them.

    - #### getMinBlockedResultsQueueGetTime

          long getMinBlockedResultsQueueGetTime()

      Returns the minimum time (in milliseconds) spent waiting for Results Queue take() operations, exclusive of the first take() operation.

      Blocked Results Queue take operations occur when the Replication Nodes can't produce results as fast as the application is able to process them.

    - #### getMaxBlockedResultsQueueGetTime

          long getMaxBlockedResultsQueueGetTime()

      Returns the maximum time (in milliseconds) spent waiting for Results Queue take() operations, exclusive of the first take() operation.

      Blocked Results Queue take operations occur when the Replication Nodes can't produce results as fast as the application is able to process them.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.